resource "google_compute_firewall" "default" {
  name    = "${var.PROJECT_NAME}-firewall"
  network = "${google_compute_network.default.name}"

  allow {
    protocol = "icmp"
  }

  allow {
    protocol = "tcp"
    ports    = ["22", "80", "443"]
  }

}

resource "google_compute_network" "default" {
  name                    = "${var.PROJECT_NAME}-network"
  auto_create_subnetworks = "true"
}
